Content Categories

Returns a paged list of content categories and provides search functionality.

Returns a paged list of content categories and provides search functionality.

get
https://api-qual.migros.ch/migros/products/v8/content-categories

Query Parameters

searchstring

Simple search string which is fault-tolerant for user-entered text.

limitinteger

Maximum number of results (max 2000).

Default:10

>= 0<= 2000

offsetinteger

Result set offset.

Default:0

>= 0

sortstring

The sorting criteria.

Allowed values:scoreidname

Default:score

orderstring

The ordering direction.

Allowed values:ascdesc

Default:asc

idsstring

A comma separated list or an array of ids defining the instances and the order in which they should be returned. If the ids parameter is provided all other filtering parameters are ignored.

pathstring

Show content categories whose paths begin with the given path, for example ‘/organisationseinheit/genossenschaft’.

langstring

Defines the language (de/fr/it/en) for this request as query parameter. Either use the query param “lang” or header “Accept-Language”, not both.

Allowed values:defriten

Default:de

Headers

Accept-Languagestring

Defines the language (de/fr/it/en) for this request as request header. Either use the query param “lang” or header “Accept-Language”, not both.

Allowed values:defriten

Default:de

Response

application/json

Returned when successful

ContentCategoryCollection

A collection of content category instances.

idsarray[string]

Ids only.

Is filled instead of the usual property for content, with only the ids when a call is made with verbosity=id on a
route that supports it.

total_hitsinteger | null

The total hits may exceed the actual count of results in the collection.

It represents the total number of results of a search and not only the
potentially paginated subset.

content_categoriesarray[object]

Represents a content category from Magnolia.

Show Child Parameters
get/migros/products/v8/content-categories
 
application/json

Returns information about a single content category by ID.

Returns information about a single content category by ID.

get
https://api-qual.migros.ch/migros/products/v8/content-categories/{id}

Query Parameters

langstring

Defines the language (de/fr/it/en) for this request as query parameter. Either use the query param “lang” or header “Accept-Language”, not both.

Allowed values:defriten

Default:de

Path Parameters

idstringrequired

Resource ID or slug (if available).

Headers

Accept-Languagestring

Defines the language (de/fr/it/en) for this request as request header. Either use the query param “lang” or header “Accept-Language”, not both.

Allowed values:defriten

Default:de

Response

application/json

Returned when successful

ContentCategory

Represents a content category from Magnolia.

display_namestring | null
idstringrequired
namestringrequired
parent_idstring
pathstring
get/migros/products/v8/content-categories/{id}
 
application/json

AbstractCollection

A generic collection of elements.

AbstractSearchResultCollection

object

A collection of search result instances.

idsarray[string]

Ids only.

Is filled instead of the usual property for content, with only the ids when a call is made with verbosity=id on a
route that supports it.

total_hitsinteger

The total hits may exceed the actual count of results in the collection.

It represents the total number of results of a search and not only the
potentially paginated subset.

Example

ContentCategory

object

Represents a content category from Magnolia.

display_namestring
idstringrequired
namestringrequired
parent_idstring
pathstring
Example